from flask import Flask
from application.blueprints.routes import web

app = Flask(__name__, static_url_path="/phantomfeed/static", static_folder="static")
app.config.from_object("application.config.Config")

app.register_blueprint(web, url_prefix="/phantomfeed")

@app.errorhandler(Exception)
def handle_error(error):
    message = error.description if hasattr(error, "description") else [str(x) for x in error.args]
    
    response = {
        "error": {
            "type": error.__class__.__name__,
            "message": message
        }
    }

    return response, error.code if hasattr(error, "code") else 500
